Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.util
Class EventUtils

    java.lang.Object
      oracle.ifs.core.util.EventUtils

    public class EventUtils

extends java.lang.Object

A EventUtils is a set of static utility convenience methods for event-related operations.

Method Summary
`static void` | `createEventTarget(LibrarySession session, java.lang.String key)` Create an event target, and register it on the domain PB under the specified key.
`static PublicObject` | `getEventTargetObject(LibrarySession session, java.lang.String key)` Gets the event target object from a specified domain property key.
`static void` | `postEvent(LibrarySession session, java.lang.String key)` Post an event on a "event target" object, used by alert agents.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getEventTargetObject

    public static PublicObject getEventTargetObject(LibrarySession session,
                                                    java.lang.String key)
                                             throws IfsException

  Description copied from class: `EventUtils`
  Gets the event target object from a specified domain property key.

  Parameters:
    `session` - the session context
    `key` - the Domain property bundle key under which the event target obejct is registered
  Returns:
    the event target object
  Throws:
    `IfsException` - if the operation fails
  (Published)

### postEvent

    public static void postEvent(LibrarySession session,
                                 java.lang.String key)
                          throws IfsException

  Description copied from class: `EventUtils`
  Post an event on a "event target" object, used by alert agents.

  Parameters:
    `session` - the session context
    `key` - the Domain property bundle key under which the event target object is registered
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createEventTarget

    public static void createEventTarget(LibrarySession session,
                                         java.lang.String key)
                                  throws IfsException

  Description copied from class: `EventUtils`
  Create an event target, and register it on the domain PB under the specified key.

  Parameters:
    `session` - the session context
    `key` - the Domain property bundle key under which the event target object is registered
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD